Demo.prototype.sceneFruitsGrid = function () {
    this.setScene('fruitsGrid');


    this.loader.addAnimation({
      image: ['backgroundEffect.color.fbo'],
      perspective: '3d',

      scale: [{ uniform3d: 18.0}],
      position:[{"x":0,"y":0,"z":45}],
      angle:[{
        degreesX:()=>180+2.5*Math.sin(-1.5*getSceneTimeFromStart()),
        degreesZ:()=>6.5*Math.sin(-1.5*getSceneTimeFromStart()*2.0)
       }],
      
      textureProperties: [{},{minFilter: 'LiunearFilter', magFilter: 'LinearFilter'}],
  });
    
      let objects = ["obj_kurk.obj", "obj_banana.obj", "obj_carrot.obj", "obj_myski.obj", "obj_munis.obj"];
      let objectSyncs = ["Kurk", "Bana", "Pork", "Mysk", "Muna"];
      let positions =
      [
        0,         0,  0.866025,
        0.509037,  0,  0.700629,
        0.823639,  0,  0.267617,
        0.823639,  0, -0.267617,
        0.509037,  0, -0.700629,
        0,         0, -0.866025,
        -0.509037, 0, -0.700629,
        -0.823639, 0, -0.267617,
        -0.823639, 0,  0.267617,
        -0.509037, 0,  0.700629
      ];

  
      this.loader.addAnimation([{
        "id":"rotaPeach666",
        "object":null
        ,"position":[{
          "x":0,
          "y":0,
          "z":-2,
        }]
        ,"color":[{
            "r":1.0,
            "g":1.0,
            "b":1.0
        }]
        ,"scale":[{"uniform3d":2.5}]
        ,"angle":[{             
          "degreesY":()=>getSceneTimeFromStart()*90,              

            
        }]
      }]);

        for (let i = 0; i<objects.length*2.0;i++)
        {

          let rota = i*45;
          let x = positions[i*3];
          let y = positions[i*3+1];
          let z = positions[i*3+2];
          this.loader.addAnimation([{
            "parent":"rotaPeach666",
            "object":{
                "name":objects[i%objects.length]
              }
            ,"position":[{
              "x":()=>x * 5,
              "y":()=>y * 5,
              "z":()=>z * 5,
            }]
            ,"color":[{
                "r":1.0,
                "g":1.0,
                "b":1.0
            }]
            ,"scale":[{"uniform3d":.55}]
            ,"angle":[{             
              "degreesY":()=>getSceneTimeFromStart()*80+rota,              
              "degreesZ":()=>Math.sin(getSceneTimeFromStart()*7)*25,       
            }]
          }]);
      }
}
